/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package helper;

import java.util.LinkedList;
import java.util.List;

/**
 *
 * @author Szilárd
 */
public class MenuItem {
    String name, url;
    boolean admin, teacher, student;
    public static List<MenuItem> listMenu = new LinkedList<MenuItem>();
    {
        listMenu.add(new MenuItem("Félév","faces/listsemester.jsp",true,false,false));
        listMenu.add(new MenuItem("Tárgyak hírdetése","faces/listsubject.jsp",true,false,false));
        listMenu.add(new MenuItem("Meghírdetett tárgyak","faces/listcurrentsubject.jsp",true,false,false));
        listMenu.add(new MenuItem("Diplomamunkák kiírása","faces/listthesis.jsp.jsp",true,false,false));
        listMenu.add(new MenuItem("Meghírdetett kurzusok","faces/listsemester.jsp",false,true,false));
    }

public MenuItem(String name, String url, boolean admin, boolean teacher, boolean student){
    this.name = name;
    this.url = url;
    this.admin = admin;
    this.student = student;
    this.teacher = teacher;
}

    public boolean isAdmin() {
        return admin;
    }

    public void setAdmin(boolean admin) {
        this.admin = admin;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public boolean isStudent() {
        return student;
    }

    public void setStudent(boolean student) {
        this.student = student;
    }

    public boolean isTeacher() {
        return teacher;
    }

    public void setTeacher(boolean teacher) {
        this.teacher = teacher;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }


}
